pipeline {
	agent { 
		docker { 
			image 'kennethreitz/pipenv'
			args '--user root --privileged'
		} 
	}
	
	stages {
		stage('setup') {
			steps {
				script {
					sh 'pipenv install'
					sh 'pipenv install --dev'
					sh 'pip install setuptools'
				}
			}
		}
	
		stage('migration') {
			steps {
				script {
					sh 'pipenv run makemigrations'
				}
			}
		}
		
		stage('build') {
			steps {
				script {
					sh 'pipenv run build'
				}
			}
		}
	}
	
	post {
		success {
			archiveArtifacts artifacts: 'dist/*.whl', fingerprint: false
		}
	}
}